* {
    margin: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

/* ======ANIMATION====== */

.animate {
    opacity: 0;
    transition: all 0.9s ease;
    will-change: transform, opacity;
}

/* ===== FADE DOWN ===== */
.fade-down {
    transform: translateY(-40px);
}

.fade-down.visible {
    opacity: 1;
    transform: translateY(0);
}

/* ===== FLIP LEFT ===== */
.flip-left {
    transform: perspective(1000px) rotateY(60deg);
    transform-origin: left;
}

.flip-left.visible {
    opacity: 1;
    transform: perspective(1000px) rotateY(0deg);
}

/* ===== BURGER MENU ===== */
header nav .burger-menu {
    display: none;
    background-color: transparent;
    border: none;
}

header nav .burger-menu>img {
    height: 30px;
    width: auto;
    cursor: pointer;
}

header .mobile-nav {
    position: fixed;
    top: 0;
    right: -100%;
    width: 60%;
    height: 100dvh;
    background-color: #ffffff;
    backdrop-filter: blur(6px);
    transition: right 0.3s ease;
    z-index: 3000;
    display: flex;
    flex-direction: column;
    gap: 60px;
    padding: 20px 0 0 40px;
}

header .mobile-nav .burger-menu {
    background-color: transparent;
    border: none;
    width: fit-content;
}

header .mobile-nav .burger-menu>img {
    height: 30px;
    width: auto;
    cursor: pointer;
}

header .mobile-nav .nav-group {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

header .mobile-nav .nav-group a {
    color: #333333;
    text-decoration: none;
    font-size: 24px;
    font-family: "Raleway";
    font-weight: 600;
}

header .mobile-nav .nav-links {
    display: flex;
    gap: 60px;
}

header .mobile-nav .nav-links a img {
    height: 40px;
    width: auto;
}

header .mobile-nav>a>img {
    height: 40px;
    width: auto;
}

header .mobile-nav.open {
    right: 0;
}


section {
    padding: 60px;
}

section>h2 {
    font-size: 48px;
    font-family: "Poppins";
    color: #2A2A35;
    margin-bottom: 40px
}

section h3 {
    font-size: 32px;
    font-family: "Poppins";
    color: #2A2A35;
}

section h4 {
    font-size: 24px;
    font-family: "Poppins";
    color: #8860D0;
    margin: 30px 0
}

section p {
    font-size: 18px;
    font-family: "Raleway";
    color: #2A2A35;
    line-height: 1.5;
    letter-spacing: 3%
}

.cta-primary-btn {
    background: linear-gradient(180deg, rgba(136, 96, 208, 1) 0%, rgba(248, 247, 252, 1) 50%);
    border: none;
    height: 55px;
    border-radius: 12px;
    padding: 0 30px;
    box-shadow: 0 4px 6px 0 rgba(51, 51, 51, 0.15);
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 20px;
    text-decoration: none;
    color: #2A2A35;
    font-family: "Poppins";
    font-size: 20px;
    font-weight: 500;
    width: fit-content;
    margin-top: 50px;
}

.cta-primary-btn>img {
    width: 30px;
}

.cta-primary-btn:hover {
    transform: translateY(-3px) scale(1.03);
}

.cta-secondary-btn {
    background: linear-gradient(180deg, rgba(125, 166, 247, 1) 0%, rgba(248, 247, 252, 1) 50%);
    border: none;
    height: 55px;
    border-radius: 12px;
    padding: 0 30px;
    box-shadow: 0 4px 6px 0 rgba(51, 51, 51, 0.15);
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 20px;
    text-decoration: none;
    color: #2A2A35;
    font-family: "Poppins";
    font-size: 20px;
    font-weight: 500;
    width: fit-content;
    margin-right: auto;
    margin-top: 30px
}

.cta-secondary-btn>img {
    width: 30px;
}

.cta-secondary-btn:hover {
    transform: translateY(-3px) scale(1.03);
}

a:focus,
button:focus {
    outline: 3px solid #FF8C00;
    outline-offset: 4px;
}

/* ======HEADER====== */
header {
    background-color: #F8F7FC;
    top: 60px;
    left: 60px;
    right: 60px;
    bottom: 60px;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    padding: 30px
}

header nav {
    font-family: "Raleway";
    font-size: 18px;
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

header nav>img {
    height: 30px;
    width: auto;
}

header nav>ul {
    display: flex;
    gap: 60px;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 0 20px;
}

header nav>ul>li {
    list-style: none;
}

header nav>ul>li>a {
    text-decoration: none;
    color: rgba(51, 51, 51, 0.8);
}

header nav>ul>li>a:hover,
header nav>ul>li>a.active {
    color: #813BFF;
}

header nav>.lien-contact {
    border-style: solid;
    border-width: thin;
    border-color: rgba(51, 51, 51, 0.8);
    display: flex;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    align-items: center;
    justify-content: center;
    margin-left: auto;
}

header nav>.lien-contact:hover {
    background-color: #813bff
}

header nav>.lien-contact>img {
    transition: filter 0.2s ease;
}

header nav>.lien-contact>img:hover {
    filter: brightness(0) invert(1);
}

header nav .burger-menu {
    display: none;
    background-color: transparent;
    border: none;
}

header nav .burger-menu>img {
    height: 30px;
    width: auto;
    cursor: pointer;
}

header .mobile-nav {
    position: fixed;
    top: 0;
    right: -100%;
    width: 60%;
    height: 100dvh;
    background-color: #ffffff;
    backdrop-filter: blur(6px);
    transition: right 0.3s ease;
    z-index: 3000;
    display: flex;
    flex-direction: column;
    gap: 60px;
    padding: 20px 0 0 40px;
}

header .mobile-nav .burger-menu {
    background-color: transparent;
    border: none;
    width: fit-content;
}

header .mobile-nav .burger-menu>img {
    height: 30px;
    width: auto;
    cursor: pointer;
}

header .mobile-nav .nav-group {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

header .mobile-nav .nav-group a {
    color: #333333;
    text-decoration: none;
    font-size: 24px;
    font-family: "Raleway";
    font-weight: 600;
}

header .mobile-nav .nav-links {
    display: flex;
    gap: 60px;
}

header .mobile-nav .nav-links a img {
    height: 40px;
    width: auto;
}

header .mobile-nav>a>img {
    height: 40px;
    width: auto;
}

header .mobile-nav.open {
    right: 0;
}

.main-services>h1 {
    font-size: 64px;
    font-family: "Poppins";
    color: #2A2A35;
    text-align: center;
    background-color: #F8F7FC;
    padding-top: 30px
}

.intro-section,
.services-section,
.method-section {
    background-color: #F8F7FC
}

.help-section,
.prices-section {
    background-color: #eef2fe
}

.help-container {
    display: flex;
    gap: 30px
}

.help-container>p {
    max-width: 700px
}

.help-container>img {
    margin-left: auto;
    margin-right: auto
}

.services-section>h2 {
    text-align: center
}

.services-section .services-cards-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    align-items: stretch;
}

.service-card-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 10px 30px rgba(51, 51, 51, 0.2);
    border-radius: 12px;
}

.service-card-container .img-circle {
    width: 160px;
    height: 160px;
    border-radius: 50%;
    border: 2px solid #7DA6F7;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px
}

.service-card-container .img-circle>img {
    width: 100px
}

.service-card-container h3 {
    text-align: center;
    color: #8860D0;
    margin: 40px 0;
    padding: 0 20px;
    min-height: 95px;
    font-size: 28px;
    display: flex;
    align-items: center
}

.service-card-container .first-p {
    padding: 0 30px;
    min-height: 135px;
    display: flex;
    align-items: center
}

.service-card-container .second-p {
    padding: 0 30px;
    min-height: 55px;
    display: flex;
    align-items: center
}


.service-card-container hr {
    width: 100%;
    margin: 40px 0
}

.service-card-container .checklist {
    display: flex;
    flex-direction: column;
    gap: 30px;
    width: 100%;
    min-height: 375px;
    padding: 0 30px
}

.service-card-container .checklist .checkline {
    display: flex;
    align-items: center;
    gap: 20px
}

.service-card-container>.cta-secondary-btn {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 40px;
    font-size: 18px;
    gap: 10px
}

.prices-section>h2 {
    text-align: center
}

.prices-section>p {
    text-align: center
}

.prices-section .prices-cards {
    display: flex;
    justify-content: center;
    gap: 60px;
    padding: 60px 0
}

.price-card {
    height: auto;
    max-width: 335px;
    min-width: 280px;
    box-shadow: 0 10px 30px rgba(51, 51, 51, 0.2);
    padding: 30px;
    background-color: #F8F7FC;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.price-card>h3 {
    text-align: center
}

.price-card>p {
    font-size: 32px;
    text-align: center
}

.price-card>p>span {
    font-weight: 700;
    font-size: 48px;
    letter-spacing: 0
}

.prices-section>.cta-primary-btn {
    margin-left: auto;
    margin-right: auto
}

.method-section>.cta-secondary-btn {
    margin-top: 50px
}

.final-section {
    background: linear-gradient(128deg, rgba(125, 166, 247, 0.8) 31%, rgba(136, 96, 208, 0.8) 60%);
    display: flex;
    flex-direction: column;
    align-items: center
}

.final-section>p {
    font-size: 24px
}

.final-section>.cta-primary-btn {
    height: 65px;
    border-style: solid;
    border-width: thin;
    border-color: #F8F7FC
}

/* ===== SCROLL TOP ===== */
.scroll-top-btn.over-footer {
    border: 0.5px solid white;
}

.scroll-top-btn.over-footer img {
    filter: invert(100%);
}

.scroll-btn.hidden {
    display: none;
}

/* ===== FOOTER ===== */

footer {
    width: 100%;
    height: auto;
    background-color: #2A2A35;
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

footer .socials {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
}

footer .socials>a>img {
    width: 40px;
    height: 40px;
}

footer>a {
    color: #F8F7FC;
    font-family: "Raleway";
    font-size: 14px;
    letter-spacing: 5%;
    text-underline-offset: 4px
}

footer>p {
    font-family: "Raleway";
    color: #FAFAFA;
    margin: 0;
    font-size: 12px;
    text-align: center;
}

footer .copyright {
    color: #FAFAFA;
    font-family: "Raleway";
    font-weight: 300;
    font-style: italic;
    font-size: 12px;
    margin: 0;
}

.scroll-top-btn {
    border-width: 2px;
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    border-color: #2A2A35;
    border-style: solid;
    background-color: #8860D0;
    position: fixed;
    bottom: 30px;
    right: 30px;
    cursor: pointer;
    z-index: 1000;
    padding: 10px 4px;
    height: 60px
}

.scroll-top-btn img {
    width: 30px;
    height: 35px;
    filter: invert(0%);
    transition: filter 0.3s ease;
    padding-top: 3px;
}

.scroll-top-btn.over-footer {
    border: 0.5px solid white;
}

.scroll-top-btn.over-footer img {
    filter: invert(100%);
}

@media (max-width: 1024px) {
    .main-services h1 {
        font-size: 48px
    }

    .main-services section {
        padding: 60px 30px
    }

    .intro-section h2,
    .help-section h2,
    .services-section h2,
    .prices-section h2,
    .method-section h2,
    .final-section h2 {
        font-size: 36px
    }

    .help-section .help-container>img {
        height: auto;
        width: 200px
    }

    .services-section .services-cards-container {
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
        justify-content: center
    }

    .service-card-container .img-circle {
        width: 140px;
        height: 140px
    }

    .service-card-container .img-circle>img {
        width: 80px;
        height: auto
    }

    .services-section .services-cards-container .service-card-container h3,
    .prices-section .price-cards .price-card h3 {
        font-size: 28px
    }

    .services-section .services-cards-container .service-card-container h4 {
        font-size: 20px
    }

    .service-card-container h3 {
        margin: 20px
    }

    .prices-section .prices-cards {
        flex-wrap: wrap;
        gap: 40px
    }

    .prices-cards .price-card {
        max-width: 330px
    }
}

@media (max-width: 768px) {
    header {
        padding: 15px
    }

    header nav ul {
        display: none;
    }

    header nav .lien-contact {
        display: none;
    }

    header nav .burger-menu {
        display: block;
    }

    .main-services h1 {
        font-size: 36px
    }

    .main-services section {
        padding: 60px 15px
    }

    .intro-section h2,
    .help-section h2,
    .services-section h2,
    .prices-section h2,
    .method-section h2,
    .final-section h2 {
        font-size: 28px;
        text-align: center
    }

    .intro-section .cta-primary-btn {
        margin-left: auto;
        margin-right: auto
    }

    .services-section .services-cards-container .service-card-container h3,
    .prices-section .price-cards .price-card h3 {
        font-size: 22px;
        text-align: center
    }

    .services-section .services-cards-container .service-card-container h4 {
        font-size: 18px
    }

    .help-section .help-container {
        flex-direction: column;
        gap: 60px
    }

    .services-section .services-cards-container {
        grid-template-columns: repeat(1, 1fr);
        width: 100%;

    }

    .services-cards-container .service-card-container {
        width: 80%;
        margin: 0 auto;
        padding: 15px
    }

    .services-section .services-cards-container .service-card-container h3 {
        min-height: auto
    }

    .services-section .services-cards-container .service-card-container .first-p,
    .services-section .services-cards-container .service-card-container h3,
    .services-section .services-cards-container .service-card-container .checklist,
    .services-section .services-cards-container .service-card-container .second-p {
        min-height: auto
    }

    .services-cards-container .service-card-container .cta-secondary-btn {
        width: 80%;
        min-height: 50px;
        height: auto;
        padding: 10px 30px;
        margin: 30px 15px 40px 15px;
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        justify-content: center;
        gap: 20px
    }

    .method-section .cta-secondary-btn,
    .final-section .cta-primary-btn {
        min-height: 50px;
        height: auto;
        padding: 10px 30px;
        margin-left: auto;
        margin-right: auto;
        text-align: center
    }
}

@media (max-width: 425px) {
    header .mobile-nav {
        width: 100vw
    }

    .main-services .services-section .services-cards-container .service-card-container {
        width: 100%
    }

    .help-section .help-container {
        gap: 30px
    }

    .help-section .help-container>img {
        width: 150px;
        height: auto
    }

    .services-cards-container .service-card-container .img-circle {
        width: 100px;
        height: 100px;
        margin-top: 0
    }

    .services-cards-container .service-card-container .img-circle>img {
        width: 60px;
        height: auto
    }

    .services-cards-container .service-card-container .checklist {
        padding: 0
    }

    .services-cards-container .service-card-container .checklist .checkline>img {
        width: 30px;
        height: auto
    }

    .prices-section .prices-cards .price-card {
        min-height: 190px;
    }

    .prices-section .prices-cards .price-card h3 {
        font-size: 22px
    }

    .prices-section .prices-cards .price-card>p {
        font-size: 28px
    }

    .prices-section .prices-cards .price-card>p>span {
        font-size: 36px
    }
}

@media (max-width: 375px) {
    .main-services h1 {
        font-size: 30px
    }

    .main-services section {
        padding: 30px 15px
    }

    .intro-section h2,
    .help-section h2,
    .services-section h2,
    .prices-section h2,
    .method-section h2,
    .final-section h2 {
        font-size: 26px;
    }

    .services-section .services-cards-container .service-card-container h3,
    .prices-section .price-cards .price-card h3 {
        font-size: 20px;
    }

    .services-cards-container .service-card-container .cta-secondary-btn {
        width: 100%;
    }

    .intro-section .cta-primary-btn,
    .prices-section .cta-primary-btn,
    .final-section .cta-primary-btn {
        width: 100%;
        justify-content: center
    }

    .final-section >p {
        font-size: 22px;
        text-align: center
    }
}